XmTextFieldGetBaseline(library call)

NAME
XmTextFieldGetBaseline — A TextField function that accesses the y position of the baseline

SYNOPSIS

#include <Xm/TextF.h>
int XmTextFieldGetBaseline(
Widget widget);

DESCRIPTION

XmTextFieldGetBaseline accesses the y position of the baseline in the TextField widget, relative to the y position of the top of the widget.

widget
    Specifies the TextField widget ID

For a complete definition of TextField and its associated resources, see XmTextField(3).

RETURN

Returns an integer value that indicates the y position of the baseline in the TextField widget. The calculation takes into account the margin height, shadow thickness, highlight thickness, and font ascent of the first font (set) in the fontlist used for drawing text. In this calculation, the y position of the top of the widget is 0 (zero).

RELATED

XmTextField(3).